#!/bin/bash

foamCleanTutorials
rm -rf 0 > /dev/null 2>&1
cp -r 0_org 0 > /dev/null 2>&1

blockMesh -dict system/blockMeshDict_1

#checkMesh | tee log.cm

transformPoints -yawPitchRoll '(0 0 90)'

decomposePar

#Check, if you use this option wit no tight linear solver tolerances it crashes
mpirun -np 4 renumberMesh -parallel -overwrite | tee log.renumber

mpirun -np 4 rhoSimpleFoam -parallel | tee log.solver
